%define aurox_ver 10.0
%define rel 1

%define qt_version 3.3

%define desktop_vendor aurox

Summary: Graphical joystick configuration tool
Name: qjoypad
Version: 3.2
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/Multimedia 
Source0: %{name}-%{version}.tgz
URL: http://qjoypad.sourceforge.net/

BuildRequires: qt-devel >= %{qt_version}

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
A handy little program with a QT interface 
that converts button presses on a gamepad or joystick 
into keypresses in XWindows.


%prep
%setup -q

%build
pushd src

%configure
make

popd

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}

pushd src
install -m 0755 %{name} %{buildroot}%{_bindir}/
popd

cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=QJoyPad
Comment=Joystick configuration tool
Comment[pl]=Konfiguracja joysticka
Exec=qjoypad
Terminal=0
Type=Application
Icon=
Encoding=UTF-8
EOF

#echo "Comment[pl]=" >> %{buildroot}%{_datadir}/applications/kde/%{name}.desktop
mkdir -p %{buildroot}%{_datadir}/applications

desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Aurox-Extra                                    \
  --add-category Application                                      \
  --add-category Settings					  \
  %{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc LICENSE.txt README.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

%changelog
* Mon Jun 14 2004 Aurox Team <aurox@aurox.org> 0:3.2-10.0.aur.1
- update to 3.2 with multiple axis support and other new features
- initial import

